petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCMGSetGalerkin

Causes the coarser grid matrices to be computed from the finest grid via the Galerkin process: A_i-1 = r_i * A_i * p_i

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGSetGalerkin(PC pc,PetscBool use)

Logically Collective on PC Many br

### Input Parameters

| pc | - the multigrid context Many br
| use | - PETSC_TRUE to use the Galerkin process to compute coarse-level operators Many br

### Options Database Key

-pc_mg_galerkin <true,false> - Many br Many br

Notes: Some codes that use PCMG such as PCGAMG use Galerkin internally while constructing the hierarchy and thus do not Many bruse the PCMG construction of the coarser grids. Many br

### Keywords

MG, set, Galerkin

### See Also

PCMGGetGalerkin()

Level:intermediate
Location:src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex42.c.html